.social-banner-block{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    border-radius: 10px;
    background-position: right;
    background-size: cover;
    padding: 48px 32px;
    margin: 40px 0;
    background-image: url('https://storage.googleapis.com/dev_wiki_voka_io_303011/common/social-media-banner.webp');
}

.social-banner-content{
    display: flex;
    align-items: start;
    flex-direction: column;
    max-width: 400px;
    width: 100%;
}

.social-banner-image{
    display: none;
}

.social-banner-content .social-banner-text{
    margin: 12px 0 32px 0;
    font-family: Manrope;
    font-weight: 500;
    font-size: 16px;
    line-height: 1.36;
}

.social-links-wrapper{
    display: flex;
    align-items: center;
    gap: 12px;
}

.social-icon-link{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    flex-shrink: 0;
    border-radius: 10px;
    background-color: var(--white);
    transition: 0.3s;
}

@media (hover: hover){
    .social-icon-link:hover{
        box-shadow: 0 0 16px #6a738314;
    }
}

@media (max-width: 1919px) {
    .social-banner-content .social-banner-text{
        font-size: 14px;
    }
}

@media (max-width: 1279px) {
    .social-banner-block{
        background-color: #EEF7FF;
        background-image: none;
    }
}

@media (max-width: 1079px) {
    .social-banner-block{
        padding: 40px 32px;
        margin: 32px 0;
        background-image: url('https://storage.googleapis.com/dev_wiki_voka_io_303011/common/social-media-banner.webp');
    }
}

@media (max-width: 767px) {
    .social-banner-block{
        background: #EEF7FF;
        flex-direction: column;
        padding: 0;
        background-image: none;
        align-items: center;
    }

    .social-banner-content{
        max-width: unset;
        padding: 32px;
        align-items: center;
    }

    .social-banner-content>span{
        margin: 12px 0 24px 0;
        text-align: center;
    }

    .social-links-wrapper{
        justify-content: center;
        width: 100%;
        flex-wrap: wrap;
    }
}

@media (max-width: 577px) {
    .social-banner-content>span, .social-banner-content>p{
        text-align: center;
    }

    .social-banner-content{
        padding: 24px;
        align-items: center;
    }

    .social-banner-image{
        display: block;
        width: 100%;
    }
}